---
title: "Create Channel Account User"
slug: "create-channel-account-user"
updated: 2026-02-25T13:56:58Z
published: 2026-02-25T13:57:17Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Channel Account User

Post/v1/channel-accounts/users

Create a new user for a specific Channel Account.

**Note:** For Channel Account users making this request, `channelAccountId` is optional and defaults to their own account.

SecurityHTTPType basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the [Authentication Guide](https://docs.wasabi.com/apidocs/wacm-connect-api-authentication).

Body parameters<select class='api-response-data' aria-label='Media type'><option value='588593bd-2925-4010-9215-8beed471be9b'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='644c3b95-5b2c-4910-9086-60f1281b697d'>minimal</option>
<option value='d358cb7b-2094-4597-994e-1a208f2560bd'>full</option>
</select>minimal

Required fields only

```json
{
  "firstName": "John",
  "lastName": "Doe",
  "email": "john.doe@example.com",
  "userRole": "Channel Account Admin"
}
```

full

All fields

```json
{
  "channelAccountId": "12345",
  "firstName": "John",
  "lastName": "Doe",
  "email": "john.doe@example.com",
  "userRole": "Channel Account Admin"
}
```

object  channelAccountIdinteger    

Required for non-Channel Account users. Optional for Channel Account users.

firstNamestring    Required
lastNamestring    Required
emailstring  (email)    Required
userRolestring    Required

Role to assign (e.g., 'Channel Account Admin')

Responses200

Successfully created the user

<select class='api-response-data' aria-label='Media type'><option value='c957e139-b708-4d11-8238-4055f7a4c1d0'>application/json</option>
</select>

```json
{
  "success": "True",
  "code": "RES-I-0016",
  "message": "User has been successfully created!",
  "data": {
    "id": "67890",
    "channelAccountId": "12345",
    "firstName": "John",
    "lastName": "Doe",
    "email": "john.doe@example.com",
    "userRole": "Channel Account Admin",
    "status": "ACTIVE",
    "verified": "False",
    "mfa": "False",
    "creationDate": "2023-12-19T09:35:47.598Z",
    "isSsoUser": "False"
  }
}
```

Expand Allobject  successboolean    
codestring    
messagestring    
dataobject (ChannelAccountUserResponse)  idinteger    
channelAccountIdinteger    
firstNamestring    
lastNamestring    
emailstring    
userRolestring    
statusstring    
verifiedboolean    
mfaboolean    
imageUrlstring   | null  
creationDatestring  (date-time)    
address1string    
address2string    
countrystring    
citystring    
statestring    
zipstring    
phonestring    
isSsoUserboolean
